Package org.jcsp.net.dynamic

# Class MigratableAltingChannelInput

java.lang.Object
org.jcsp.lang.Guard
org.jcsp.lang.AltingChannelInput
org.jcsp.lang.AltingChannelInputWrapper
org.jcsp.net.NetAltingChannelInput
org.jcsp.net.dynamic.MigratableAltingChannelInput

All Implemented Interfaces:
  `Serializable`, `ChannelInput`, `Poisonable`, `MigratableChannelInput`, `NetChannelInput`, `Networked`, `FilteredChannelInput`, `ReadFiltered`

public abstract class MigratableAltingChannelInput extends NetAltingChannelInput implements MigratableChannelInput, FilteredChannelInput, Serializable
A migratable input channel end that can be used as a guard within an `Alternative`.

Author:
  Quickstone Technologies Limited
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`MigratableAltingChannelInput()`
Constructs a new `MigratableAltingChannelInput`.
`protected`
`MigratableAltingChannelInput(NetAltingChannelInput channel)`
Constructs a new `MigratableAltingChannelInput` for the underlying channel.

## Method Summary

### Methods inherited from class org.jcsp.lang.AltingChannelInputWrapper

`endRead, getChannel, pending, poison, read, setChannel, startRead`

### Methods inherited from class org.jcsp.lang.Guard

`schedule`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.jcsp.lang.ChannelInput

`endRead, read, startRead`

### Methods inherited from interface org.jcsp.net.dynamic.MigratableChannelInput

`prepareToMove`

### Methods inherited from interface org.jcsp.net.NetChannelInput

`destroyReader, getFactoryClass`

### Methods inherited from interface org.jcsp.net.Networked

`getChannelLocation`

### Methods inherited from interface org.jcsp.lang.Poisonable

`poison`

### Methods inherited from interface org.jcsp.util.filter.ReadFiltered

`addReadFilter, addReadFilter, getReadFilter, getReadFilterCount, removeReadFilter, removeReadFilter`

## Constructor Details

### MigratableAltingChannelInput

protected MigratableAltingChannelInput(NetAltingChannelInput channel)
Constructs a new `MigratableAltingChannelInput` for the underlying channel.

Parameters:
  `channel` - the underlying channel.

### MigratableAltingChannelInput

protected MigratableAltingChannelInput()
Constructs a new `MigratableAltingChannelInput`.